org.apache.calcite.avatica

## Class MetaImpl.MetaColumn

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaColumn

All Implemented Interfaces:
  MetaImpl.Named

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaColumn
    extends Object
    implements MetaImpl.Named

Metadata describing a column.

### Field Summary

Fields
`Integer` `bufferLength`
`Integer` `charOctetLength`
`String` `columnDef`
`String` `columnName`
`Integer` `columnSize`
`int` `dataType`
`Integer` `decimalDigits`
`String` `isAutoincrement`
`String` `isGeneratedcolumn`
`String` `isNullable`
`int` `nullable`
`Integer` `numPrecRadix`
`int` `ordinalPosition`
`String` `remarks`
`String` `scopeCatalog`
`String` `scopeSchema`
`String` `scopeTable`
`Short` `sourceDataType`
`Integer` `sqlDataType`
`Integer` `sqlDatetimeSub`
`String` `tableCat`
`String` `tableName`
`String` `tableSchem`
`String` `typeName`

### Constructor Summary

Constructors
Constructor and Description
`MetaColumn(String tableCat, String tableSchem, String tableName, String columnName, int dataType, String typeName, Integer columnSize, Integer decimalDigits, Integer numPrecRadix, int nullable, Integer charOctetLength, int ordinalPosition, String isNullable)`
`MetaColumn(String tableCat, String tableSchem, String tableName, String columnName, int dataType, String typeName, Integer columnSize, Integer decimalDigits, Integer numPrecRadix, int nullable, Integer charOctetLength, int ordinalPosition, String isNullable, String isAutoincrement, String isGeneratedcolumn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`MetaImpl.MetaColumn` `withIsAutoincrement(String isAutoincrement)` Returns a copy of this MetaColumn, overriding the value of `isAutoincrement`.
`MetaImpl.MetaColumn` `withIsGeneratedcolumn(String isGeneratedcolumn)` Returns a copy of this MetaColumn, overriding the value of `isGeneratedcolumn`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final String tableCat

#### tableSchem

    public final String tableSchem

#### tableName

    public final String tableName

#### columnName

    public final String columnName

#### dataType

    public final int dataType

#### typeName

    public final String typeName

#### columnSize

    public final Integer columnSize

#### bufferLength

    public final Integer bufferLength

#### decimalDigits

    public final Integer decimalDigits

#### numPrecRadix

    public final Integer numPrecRadix

#### nullable

    public final int nullable

#### remarks

    public final String remarks

#### columnDef

    public final String columnDef

#### sqlDataType

    public final Integer sqlDataType

#### sqlDatetimeSub

    public final Integer sqlDatetimeSub

#### charOctetLength

    public final Integer charOctetLength

#### ordinalPosition

    public final int ordinalPosition

#### isNullable

    public final String isNullable

#### scopeCatalog

    public final String scopeCatalog

#### scopeSchema

    public final String scopeSchema

#### scopeTable

    public final String scopeTable

#### sourceDataType

    public final Short sourceDataType

#### isAutoincrement

    public final String isAutoincrement

#### isGeneratedcolumn

    public final String isGeneratedcolumn

### Constructor Detail

#### MetaColumn

    public MetaColumn(String tableCat,
                      String tableSchem,
                      String tableName,
                      String columnName,
                      int dataType,
                      String typeName,
                      Integer columnSize,
                      Integer decimalDigits,
                      Integer numPrecRadix,
                      int nullable,
                      Integer charOctetLength,
                      int ordinalPosition,
                      String isNullable)

#### MetaColumn

    public MetaColumn(String tableCat,
                      String tableSchem,
                      String tableName,
                      String columnName,
                      int dataType,
                      String typeName,
                      Integer columnSize,
                      Integer decimalDigits,
                      Integer numPrecRadix,
                      int nullable,
                      Integer charOctetLength,
                      int ordinalPosition,
                      String isNullable,
                      String isAutoincrement,
                      String isGeneratedcolumn)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `MetaImpl.Named`

#### withIsAutoincrement

    public MetaImpl.MetaColumn withIsAutoincrement(String isAutoincrement)

Returns a copy of this MetaColumn, overriding the value of `isAutoincrement`.

#### withIsGeneratedcolumn

    public MetaImpl.MetaColumn withIsGeneratedcolumn(String isGeneratedcolumn)

Returns a copy of this MetaColumn, overriding the value of `isGeneratedcolumn`.